import { i18n } from '@/lang'
let capacity = [
  {
    key: 'orderSn',
    name: i18n.t('manage.Spending.listLabel.orderId'),
    width: 200
  }, {
    key: 'name',
    name: i18n.t('manage.Spending.listLabel.memberName'),
    width: 200,
    staticName: '四维看看会员权益'
  }, {
    key: 'count',
    name: i18n.t('manage.Spending.listLabel.count'),
    width: 90
  }, {
    key: 'payType',
    name: i18n.t('manage.Spending.listLabel.payType')
  }, {
    key: 'amount',
    name: i18n.t('manage.Spending.listLabel.payNum')
  }, {
    key: 'tradeTime',
    name: i18n.t('manage.Spending.listLabel.payTime'),
    width: 200
  }
]

let recharge = [
  {
    key: 'status',
    name: i18n.t('manage.Spending.rechargeLabel.type')
  }, {
    key: 'body',
    name: i18n.t('manage.Spending.rechargeLabel.name')
  }, {
    key: 'points',
    name: i18n.t('manage.Spending.rechargeLabel.point')
  }, {
    key: 'childName',
    name: i18n.t('manage.Spending.rechargeLabel.deviceName')
  }, {
    key: 'tradeTime',
    name: i18n.t('manage.Spending.rechargeLabel.createTime')
  }
]

let invoice = [
  {
    key: 'createTime',
    name: i18n.t('manage.Spending.invoiceLabel.createTime')
  }, {
    key: 'type',
    name: i18n.t('manage.Spending.invoiceLabel.type')
  }, {
    key: 'title',
    name: i18n.t('manage.Spending.invoiceLabel.title')
  }, {
    key: 'money',
    name: i18n.t('manage.Spending.invoiceLabel.money')
  }, {
    key: 'finish',
    name: i18n.t('manage.Spending.invoiceLabel.status')
  }, {
    key: 'detail',
    name: i18n.t('manage.Spending.invoiceLabel.detail'),
    canclick: true
  }
]
export {
  capacity,
  recharge,
  invoice
}
